petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESSetFunctionNorm

Sets the last computed residual norm.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetFunctionNorm(SNES snes, PetscReal norm)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context

| normschedule | - the frequency of norm computation

### Keywords

SNES, nonlinear, set, function, norm, type

### See Also

SNESGetNormSchedule(), SNESComputeFunction(), VecNorm(), SNESSetFunction(), SNESSetInitialFunction(), SNESNormSchedule

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages